Index: orxonox/branches/weaponSystem/orxonox.kdevelop
===================================================================
--- orxonox/branches/weaponSystem/orxonox.kdevelop	(revision 4876)
+++ orxonox/branches/weaponSystem/orxonox.kdevelop	(revision 4877)
@@ -1,86 +1,24 @@
-<?xml version = '1.0'?>
+<?xml version="1.0"?>
 <kdevelop>
+ <general>
+  <author>orxonox-crew:</author>
+  <email>orxonox-dev@mail.datacore.ch</email>
+  <version>$VERSION$</version>
+  <projectmanagement>KDevCustomProject</projectmanagement>
+  <primarylanguage>C++</primarylanguage>
+  <ignoreparts>
+  </ignoreparts>
+ </general>
+ <kdevcustomproject>
+  <run>
+   <mainprogram>orxonox</mainprogram>
+  </run>
+ </kdevcustomproject>
+ <kdevdebugger>
   <general>
-    <author>orxonox-crew:</author>
-    <email>orxonox-dev@mail.datacore.ch</email>
-    <version>$VERSION$</version>
-    <projectmanagement>KDevAutoProject</projectmanagement>
-    <primarylanguage>C++</primarylanguage>
-    <ignoreparts/>
-    <projectdirectory>.</projectdirectory>
-    <absoluteprojectpath>false</absoluteprojectpath>
-    <description/>
-    <secondaryLanguages/>
-    <versioncontrol/>
+   <dbgshell></dbgshell>
   </general>
-  <kdevautoproject>
-    <general>
-      <activetarget>src/subprojects/particles/particles</activetarget>
-      <useconfiguration>default</useconfiguration>
-    </general>
-    <run>
-      <mainprogram>src/orxonox</mainprogram>
-      <directoryradio>executable</directoryradio>
-      <customdirectory>/</customdirectory>
-      <programargs/>
-      <terminal>false</terminal>
-      <autocompile>true</autocompile>
-      <envvars/>
-      <runarguments>
-        <orxonox/>
-      </runarguments>
-    </run>
-    <configurations>
-      <optimized>
-        <builddir>optimized</builddir>
-        <ccompiler>GccOptions</ccompiler>
-        <cxxcompiler>GppOptions</cxxcompiler>
-        <f77compiler>G77Options</f77compiler>
-        <cxxflags>-O2 -g0</cxxflags>
-      </optimized>
-      <debug>
-        <configargs>--enable-debug=full</configargs>
-        <builddir>debug</builddir>
-        <ccompiler>GccOptions</ccompiler>
-        <cxxcompiler>GppOptions</cxxcompiler>
-        <f77compiler>G77Options</f77compiler>
-        <cxxflags>-O0 -g3</cxxflags>
-        <envvars/>
-      </debug>
-      <default>
-        <envvars/>
-      </default>
-    </configurations>
-    <make>
-      <envvars>
-        <envvar value="1" name="WANT_AUTOCONF_2_5" />
-        <envvar value="1" name="WANT_AUTOMAKE_1_6" />
-      </envvars>
-      <abortonerror>false</abortonerror>
-      <numberofjobs>3</numberofjobs>
-      <dontact>false</dontact>
-      <makebin>make</makebin>
-      <prio>0</prio>
-    </make>
-  </kdevautoproject>
-  <kdevdebugger>
-    <general>
-      <dbgshell>libtool</dbgshell>
-      <programargs/>
-      <gdbpath/>
-      <configGdbScript/>
-      <runShellScript/>
-      <runGdbScript/>
-      <breakonloadinglibs>true</breakonloadinglibs>
-      <separatetty>false</separatetty>
-      <floatingtoolbar>false</floatingtoolbar>
-    </general>
-    <display>
-      <staticmembers>false</staticmembers>
-      <demanglenames>true</demanglenames>
-      <outputradix>10</outputradix>
-    </display>
-  </kdevdebugger>
-  <kdevdoctreeview>
+ </kdevdebugger>
+ <kdevdoctreeview>
     <ignoretocs>
       <toc>ada</toc>
@@ -127,5 +65,5 @@
       <toc>KDE Libraries (Doxygen)</toc>
     </ignoredoxygen>
-  </kdevdoctreeview>
+ </kdevdoctreeview>
   <kdevfilecreate>
     <filetypes/>
@@ -136,53 +74,3 @@
     </useglobaltypes>
   </kdevfilecreate>
-  <kdevcppsupport>
-    <references/>
-    <codecompletion>
-      <includeGlobalFunctions>true</includeGlobalFunctions>
-      <includeTypes>true</includeTypes>
-      <includeEnums>true</includeEnums>
-      <includeTypedefs>true</includeTypedefs>
-      <automaticCodeCompletion>true</automaticCodeCompletion>
-      <automaticArgumentsHint>true</automaticArgumentsHint>
-      <automaticHeaderCompletion>true</automaticHeaderCompletion>
-      <codeCompletionDelay>250</codeCompletionDelay>
-      <argumentsHintDelay>400</argumentsHintDelay>
-      <headerCompletionDelay>250</headerCompletionDelay>
-    </codecompletion>
-    <creategettersetter>
-      <prefixGet/>
-      <prefixSet>set</prefixSet>
-      <prefixVariable>m_,_</prefixVariable>
-      <parameterName>theValue</parameterName>
-      <inlineGet>true</inlineGet>
-      <inlineSet>true</inlineSet>
-    </creategettersetter>
-  </kdevcppsupport>
-  <kdevfileview>
-    <groups>
-      <hidenonprojectfiles>false</hidenonprojectfiles>
-      <hidenonlocation>false</hidenonlocation>
-    </groups>
-    <tree>
-      <hidepatterns>*.o,*~</hidepatterns>
-      <hidenonprojectfiles>false</hidenonprojectfiles>
-    </tree>
-  </kdevfileview>
-  <cppsupportpart>
-    <filetemplates>
-      <interfacesuffix>.h</interfacesuffix>
-      <implementationsuffix>.cc</implementationsuffix>
-    </filetemplates>
-  </cppsupportpart>
-  <kdevdocumentation>
-    <projectdoc>
-      <docsystem/>
-      <docurl/>
-      <usermanualurl/>
-    </projectdoc>
-  </kdevdocumentation>
-  <ctagspart>
-    <customArguments/>
-    <customTagfilePath/>
-  </ctagspart>
 </kdevelop>
